# Uses of Interface
java.util.logging.Filter

Packages that use Filter
Package
Description
java.util.logging
Provides the classes and interfaces of the Java 2 platform's core logging facilities.

## Uses of Filter in java.util.logging

Methods in java.util.logging that return Filter
Modifier and Type
Method
Description
`Filter`
Handler.`getFilter()`
Get the current `Filter` for this `Handler`.
`Filter`
Logger.`getFilter()`
Get the current filter for this Logger.
Methods in java.util.logging with parameters of type Filter
Modifier and Type
Method
Description
`void`
Handler.`setFilter​(Filter newFilter)`
Set a `Filter` to control output on this `Handler`.
`void`
Logger.`setFilter​(Filter newFilter)`
Set a filter to control output on this Logger.